petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecMDot

Computes vector multiple dot products.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMDot(Vec x,PetscInt nv,const Vec y[],PetscScalar val[])

Collective on Vec

### Input Parameters

| x | - one vector
| nv | - number of vectors
| y | - array of vectors.

### Output Parameter

val -array of the dot products (does not allocate the array)

### Notes for Users of Complex Numbers

For complex vectors, VecMDot() computes

        val = (x,y) = y^H x,

where y^H denotes the conjugate transpose of y.

Use VecMTDot() for the indefinite form

        val = (x,y) = y^T x,

where y^T denotes the transpose of y.

### See Also

VecMTDot(), VecDot()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F90.html
src/vec/vec/examples/tutorials/ex1f90.F90.html
src/vec/vec/examples/tutorials/ex20f90.F90.html

### Implementations

VecMDot_MPICUDA in src/vec/vec/impls/mpi/mpicuda/mpicuda.cu
VecMDot_MPIViennaCL in src/vec/vec/impls/mpi/mpiviennacl/mpiviennacl.cxx
VecMDot_MPI in src/vec/vec/impls/mpi/pvec2.c
VecMDot_Nest in src/vec/vec/impls/nest/vecnest.c
VecMDot_Seq in src/vec/vec/impls/seq/dvec2.c
VecMDot_Seq in src/vec/vec/impls/seq/dvec2.c
VecMDot_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecMDot_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages